Gentoo Archives: gentoo-dev

From: Pacho Ramos <pacho@g.o>
To: gentoo-dev@l.g.o
Subject: Re: [gentoo-dev] About forcing rebuilds of other packages issue
Date: Wed, 06 Jun 2012 18:06:49
Message-Id: 1339005832.2706.48.camel@belkin4
In Reply to: Re: [gentoo-dev] About forcing rebuilds of other packages issue by Ciaran McCreesh
El mié, 06-06-2012 a las 18:19 +0100, Ciaran McCreesh escribió:
> On Wed, 06 Jun 2012 10:32:08 +0200 > Pacho Ramos <pacho@g.o> wrote: > > > We do? Please tell us. I was under the impression that we still > > > didn't fully know what the problem was. > > > > Well, could you please let me know how to handle some issues already > > mentioned? For example: > > - Rebuild dbus-glib and gobject-introspection after major glib update. > > - Rebuild x11 drivers after xorg-update > > Those are the ones we probably do understand. You just up the SLOT (and > if you really need to, use blockers between slots, although this is > discouraged in favour of writing better ebuilds), and everything that > build+run-deps upon these things uses := dependencies. > > > - Rebuild python/perl/ocaml stuff after python/perl/ocaml update > > That depends. If you only have to do it after an upgrade, same > solution. If you have to do it with a rebuild too, then that's one of > the situations I claim we don't fully understand because no-one has > specified what the exact general problem is (although lots of people > have looked at one particular case and assumed that their case holds > for everything, which isn't true). >
I think they are only needed on upgrades, not rebuilds, but I cannot assure that, probably their maintainers will know better :)


File name MIME type
signature.asc application/pgp-signature